### Method

# Soup Server add_websocket_extension

#### Declaration [src]

    void
    soup_server_add_websocket_extension (
      SoupServer* server,
      GType extension_type
    )

#### Description [src]

Add support for a WebSocket extension of the given `extension_type`.

When a WebSocket client requests an extension of `extension_type`, a new `SoupWebsocketExtension` of type `extension_type` will be created to handle the request.

Note that `SoupWebsocketExtensionDeflate` is supported by default, use `soup_server_remove_websocket_extension()` if you want to disable it.

#### Parameters

`extension_type`

  Type: `GType`

  A `GType`.